<?php
$rgraph_methods = array(

        "constructor" => array(
                "description" => "The rgraph_chart constructor builds an rgraph_chart object",
                "function" => "rgraph_chart ((&#36;id, &#36;data = null, &#36;chart_type = &quot;Bar&quot;))",
                "parameter" => "&quot;&#36;id&quot; is required and will define the canvas id.
                <br>&quot;&#36;data&quot; defines the data to be used for charts
                <br>&quot;&#36;chart_type&quot; sets the desired chart type",
                "returns" => "A rgraph_chart object",
                "notes" => "If the chart type is not a valid type, type &quot;Bar&quot will be used.
                 <br />If data is not of type array it will not be defined.",
                "example" => "&#36;chart = new rgraph_chart(&quot;cvs&quot;, &#36;data, &quot;Bar&quot;);"
        ),
        "set_id" => array(
                "description" => "With this method you may change the current canvas-id",
                "function" => "set_id (&#36;id)",
                "parameter" => "&quot;&#36;id&quot; is required and will define the canvas id",
                "returns" => "n/a",
                "notes" => "&#36;id must be be a string",
                "example" => "&#36;chart->set_id(&quot;cvs&quot;)"
        ),
        "get_id" => array(
                "description" => "Use this method to retrieve the current canvas id",
                "function" => "get_id()",
                "parameter" => "none",
                "returns" => "id of canvas",
                "notes" => "",
                "example" => "&#36;id = &#36;chart->get_id()"
        ),
        "set_data" => array(
                "description" => "set_data defines the chart's data",
                "function" => "set_data (&#36;data)",
                "parameter" => "&quot;&#36;data&quot; must be of type array and contains only numerical data",
                "returns" => "&quot;true&quot; if data set or &quot;-1&quot; if the data is not of type array",
                "notes" => "set_data does not check, wether your data contains only numerical values.",
                "example" => " &#36;chart->set_data( array(0,1,3,4,5) )"
        ),
        "get_data" => array(
                "description" => "Use this method to retrieve the defined data",
                "function" => "get_data()",
                "parameter" => "none",
                "returns" => "defined data or null",
                "notes" => "",
                "example" => "&#36;data = &#36;chart->get_data()"
        ),
        "set_chartType" => array(
                "description" => "defines the chart type",
                "function" => "set_chartType (&#36;type)",
                "parameter" => "&quot;&#36;type&quot; must be an known chart type:
                 <br> valid types are:
                 <ul>
                 <li>Bar
                 <li>HBar</li>
                 <li>Bipolar</li>
                 <li>Line</li>
                 <li>Pie</li>
                 <li>Fuel</li>
                 <li>Funnel</li>
                 <li>Gauge</li>
                 <li>Gantt</li>
                 <li>Meter</li>
                 <li>Odometer</li>
                 <li>Radar</li>
                 <li>Rose</li>
                 <li>RScatter</li>
                 <li>Scatter</li>
                 <li>Waterfall</li>
                  </ul>",
                "returns" => "&quot;true&quot; if type is set or &quot;false&quot; if the chart type is unknown",
                "notes" => "",
                "example" => " &#36;chart->set_chartType(&quot;Pie&quot;)"
        ),
        "get_chartType" => array(
                "description" => "Use this method to retrieve the defined chart type",
                "function" => "get_chartType()",
                "parameter" => "none",
                "returns" => "defined type or null",
                "notes" => "",
                "example" => "&#36;type = &#36;chart->get_chartType()"
        ),
        "set_left" => array(
                "description" => "set_left defines data for the left side of bi-polar charts",
                "function" => "set_left (&#36;data)",
                "parameter" => "&quot;&#36;data&quot; must be of type array and contains only numerical data",
                "returns" => "&quot;true&quot; if data set or &quot;-1&quot; if the data is not of type array",
                "notes" => "set_left does not check, wether your data contains only numerical values.",
                "example" => " &#36;chart->set_left( array(0,1,3,4,5) )"
        ),
        "get_left" => array(
                "description" => "Use this method to retrieve the defined data",
                "function" => "get_left()",
                "parameter" => "none",
                "returns" => "defined data or null",
                "notes" => "",
                "example" => "&#36;left = &#36;chart->get_left()"
        ),
        "set_right" => array(
                "description" => "set_right defines data for the right side of bi-polar charts",
                "function" => "set_right (&#36;data)",
                "parameter" => "&quot;&#36;data&quot; must be of type array and contains only numerical data",
                "returns" => "&quot;true&quot; if data set or &quot;-1&quot; if the data is not of type array",
                "notes" => "set_right does not check, wether your data contains only numerical values.",
                "example" => " &#36;chart->set_right( array(0,1,3,4,5) )"
        ),
        "get_right" => array(
                "description" => "Use this method to retrieve the defined data",
                "function" => "get_right()",
                "parameter" => "none",
                "returns" => "defined data or null",
                "notes" => "",
                "example" => "&#36;right = &#36;chart->get_right()"
        ),
        "set_min" => array(
                "description" => "sets minimum value for meter, odometer, gauge and fuel charts",
                "function" => "set_min (&#36;min)",
                "parameter" => "&quot;&#36;min&quot; must be a numerical value",
                "returns" => "&quot;true&quot; if min set or &quot;-1&quot; if the min is not numerical",
                "notes" => "",
                "example" => " &#36;chart->set_min(0)"
        ),
        "get_min" => array(
                "description" => "Use this method to retrieve the defined data",
                "function" => "get_min()",
                "parameter" => "none",
                "returns" => "defined value or null",
                "notes" => "",
                "example" => "&#36;min = &#36;chart->get_min()"
        ),
        "set_max" => array(
                "description" => "sets maximum value for meter, odometer, gauge and fuel charts",
                "function" => "set_max (&#36;max)",
                "parameter" => "&quot;&#36;max&quot; must be a numerical value",
                "returns" => "&quot;true&quot; if max set or &quot;-1&quot; if the max is not numerical",
                "notes" => "",
                "example" => " &#36;chart->set_max(100)"
        ),
        "get_max" => array(
                "description" => "Use this method to retrieve the defined data",
                "function" => "get_max()",
                "parameter" => "none",
                "returns" => "defined value or null",
                "notes" => "",
                "example" => "&#36;max = &#36;chart->get_max()"
        ),
        "set_value" => array(
                "description" => "sets a value for meter, odometer, gauge and fuel charts",
                "function" => "set_value (&#36;value)",
                "parameter" => "&quot;&#36;value&quot; must be a numerical value",
                "returns" => "&quot;true&quot; if value set or &quot;-1&quot; if the value is not numerical",
                "notes" => "",
                "example" => " &#36;chart->set_value(50) "
        ),
        "get_value" => array(
                "description" => "Use this method to retrieve the defined data",
                "function" => "get_value()",
                "parameter" => "none",
                "returns" => "defined value or null",
                "notes" => "",
                "example" => "&#36;value = &#36;chart->get_value()"
        ),
        "set_options" => array(
                "description" => "defines and sets the properties for a chart to the rgraph_chart object",
                "function" => "set_options (&#36;options)",
                "parameter" => "&quot;&#36;options&quot; is the options object created with &quot;rgraph_options&quot; class",
                "returns" => "none",
                "notes" => "",
                "example" => " &#36;chart->set_options (&#36;options) "
        ),
        "toString" => array(
                "description" => "creates json object to be used for RGraph",
                "function" => "toString()",
                "parameter" => "none",
                "returns" => "a string of properties in json format",
                "notes" => "",
                "example" => " &#36;json_data = &#36;chart->toString()"
        ),
        "toPrettyString" => array(
                "description" => "creates formatted json object to be used for RGraph",
                "function" => "toPrettyString()",
                "parameter" => "none",
                "returns" => "a string of properties in json format",
                "notes" => "",
                "example" => " &#36;json_data = &#36;chart->toPrettyString()"
        ),
        "getScript" => array(
                "description" => "Use this method to retrieve the file name for a RGraph javascript library",
                "function" => "getScript (&#36;type)",
                "parameter" => "&quot;&#36;type&quot; may be a valid chart type or following RGraph properties:
                <ul><li>annotate</li><li>csv</li><li>contextmenu</li><li>core</li><li>dynamic</li><li>effects</li>
                <li>key</li><li>resizing</li><li>tooltips</li><li>zoom</li><li>keyinteractive</li></ul>",
                "returns" => "a javascript library file name or &quot;-1&quot; if &#36;type is unknown",
                "notes" => "",
                "example" => "&#36;script_name = &#36;chart->getScript (&#36;type)"
        ),
        "getChartScript" => array(
                "description" => "Use this method to retrieve a chart-script",
                "function" => "getChartScript (&#36;file)",
                "parameter" => "&#36;file - filename of requested javascript file",
                "returns" => "contents of javascript file or &quot;null&quot if file is not found",
                "notes" => "Instead of coding javascript within your php-RGraph chart-script, you may separate code using different files.
                <br />This function may be called statically (no need to create an rgraph_chart object to use it).",
                "example" => "&#36;chart_script = rgraph_chart::getChartScript (&quot;my_chart_script.js&quot;)"
        ),
        "getEventScript" => array(
                "description" => "Use this method to retrieve an event-script",
                "function" => "getEventScript (&#36;file)",
                "parameter" => "&#36;file - filename of requested javascript file",
                "returns" => "contents of javascript file or &quot;null&quot if file is not found",
                "notes" => "Instead of coding javascript within your php-RGraph chart-script, you may separate code using different files.
                <br />This function may be called statically (no need to create an rgraph_chart object to use it).",
                "example" => "&#36;event_script = rgraph_chart::getEventScript (&quot;my_event_script.js&quot;)"
        ),
        "rearrangeData" => array(
                "description" => "With this you may rearrange your data arrays",
                "function" => "rearrangeData (&#36;update = true)",
                "parameter" => "if &quot;&#36;update&quot; is set to false only the rearranged data will be returned and the currently stored data will not be changed.",
                "returns" => "rearranged arrays of you data.",
                "notes" => "If your data contains only a single array the same array will be returned.
                <br /><br/>This function is especially useful for chart type &quot;Bar&quot. Following sample illustrates this:<br><br>
                From a database you get 3 columns of data, where first column contains
                7 labels and the other 2 columns have coresponding 7 numbers of data. If you then would use
                this data for a bar chart you would get seven bars for second column and seven bars for third column. This
                means that the grouping and appearance of the chart woluld be wrong. Correctly it should show
                two bars for for each label, where the first bar is from data column 1 and the second bar is from data column 2.
                This means data should be rearranged from 2 data-groups (7 numbers each) to 7
                data groups (with 2 numbers each). &quot;rearrangeData&quot; does exactly this.",
                "example" => "&#36;data = &#36;chart->rearrangeData ()"
        ),
        "getDataFromFile" => array(
                "description" => "With this method you may fetch data from a file",
                "function" => "getDataFromFile (&#36;file)",
                "parameter" => "&quot;&#36;file&quot; is a name of a file, which must exist and be accessible.",
                "returns" => "an array of data, &quot;-1&quot if file does not exist or cannot be found or &quot;null&quot if the data is invalid.",
                "notes" => "Data of &#36;file must be presented in valid UTF8 coded json-format.
                <br />This function may be called statically (no need to create an rgraph_chart object to use it)",
                "example" => "&#36;data = rgraph_chart::getDataFromFile (&#36;file)"
        ),
        "getDataFromUrl" => array(
                "description" => "With this method you may fetch data from a remote or local site",
                "function" => "getDataFromUrl (&#36;url)",
                "parameter" => "&quot;&#36;url&quot; must be a valid url and must be accessible.",
                "returns" => "an array of data, &quot;false&quot if url is invalid or does not exist, &quot;-1&quot; if no data returned or &quot;null&quot if the data is invalid.",
                "notes" => "Data from &#36;url must be presented in valid UTF8 coded json-format.
                <br />This function may called statically (no need to create an rgraph_chart object to use it)",
                "example" => "&#36;data = rgraph_chart::getDataFromUrl (&#36;url)"
        ),
        "getDataFromDB" => array(
                "description" => "With this method you may fetch data from a mySql database",
                "function" => "getDataFromDB (&#36;db_config_file, &#36;sql)",
                "parameter" => "&quot;&#36;db_config_file&quot; is a php class file and contains properties for accessing the mysql database. &quot;&#36;sql&quot; contains a valid sql-statement for getting data from database.",
                "returns" => "an array of data, &quot;false&quot if sql is invalid, &quot;-1&quot; if database connection failed.",
                "notes" => "This function may be called statically (no need to create an rgraph_chart object to use it.
                <br>The db_config file must have following format:
                <pre>class  JConfig  {
                 var &#36;host = 'localhost';
                 var &#36;user = 'my_dbuser';
                 var &#36;db = 'my_database';
                 var &#36;password = 'my-password';
                 }
                </pre>",
                "example" => "&#36;data = rgraph_chart::getDataFromDB (&#36;dbconfig, &#36;sql)"
        ),
        "getCSVdata" => array(
                "description" => "With this method you may fetch data from a file in csv format",
                "function" => "getCSVdata (&#36;csv_file, &#36;header_lines = 0, &#36;sepchar = &quot;;&quot;)",
                "parameter" => "&quot;&#36;csv_file&quot; must be a valid csv file and must be accessible.
                <br>&quot;&#36;header_lines&quot; if csv file contains a header, you must specify the lines to skip the header section.
                <br>&quot;&#36;sepchar&quot; defines the separator character (default is &quot;;&quot;)",
                "returns" => "an array of data, &quot;-1&quot if file does not exist is not found.",
                "notes" => "This function may be called statically (no need to create an rgraph_chart object to use it)",
                "example" => "&#36;data = rgraph_chart::getCSVdata(&#36;csv_file, 12)"
        ),
        "getsheetsData" => array(
                "description" => "With this method you may fetch data from Google sheets.",
                "function" => "getsheetsData (&#36;key, &#36;rows, &#36;keep_keys = true)",
                "parameter" => "&quot;&#36;key&quot; specifies key to access a google sheet, <br>&quot;&#36;rows&quot; lets you
                limit the rows to be retrieved (if not set all rows will be processed).<br>If &quot;&#36;keep_keys&quot; is set to true, then the first row's data will be used as keys for the columns.",
                "returns" => "an array of data or &quot;-1&quot if the key is invalid (no dat returned from google sheets).",
                "notes" => "This function may be called statically (no need to create an rgraph_chart object to use it)",
                "example" => "&#36;data = rgraph_chart::getsheetsData (&#36;key)"
        ),
        "createScatterData" => array(
                "description" => "With this method you may create the data for scatter charts.",
                "function" => "createScatterData (&#36;x_values, &#36;y_values, &#36;color = null, &#36;tooltip = null)",
                "parameter" => "&quot;&#36;x_values&quot; and &quot;&#36;y_values&quot; define the x/y pair of scatter data. Both must be arrays of numbers.
                 Scatter values may contain a color and a tooltip which you may specify additionally. Both must also be arrays.",
                "returns" => "an array of data arrays to be used for scatter charts, or &quot;null&quot if x-values or y_values are no arrays.",
                "notes" => "This function may be called statically (no need to create an rgraph_chart object to use it)",
                "example" => "&#36;data = rgraph_chart::createScatterData (&#36;x_values, &#36;y_values)"
        )
);