/**
* This is Web Worker script. It runs as a seperate thread inside your browser. In this
* case it posts back a random number which is used to update the reading of a Gauge chart.
* The data is just random.
*/
var delay = 1000;
var count = 0;

function Update()
{
    /**
    * Use postMessage() to send a random number to the main page. This number is then used
    * to update the Gauge chart. The postMessage() function is part of the Web Worker API
    */
    postMessage(Math.random().toFixed(2));
    count++;
    // stops after 20 seconds
    if (count > 10)
     close(); 	

    /**
    * Call the Update() functon again after the delay
    */
    setTimeout(Update, delay)
}

/**
* The initial delay of 0.1s means that there isn't a delay of 3s when you load the page
* to see the first value.
*/
setTimeout(Update, 0.1);