<?php
/**
 * @filesource: donut_3d.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
// rgraph chart
$template = "default_pie.php";
$draw_option = "draw().implode();";
$width = "600";
$height = "300";
$data = array( 400,500,500,700,500,700,400,1000 );
$labels = array('Mavis','Kevin','Luis','June','Olga','Luis','Pete','Bridget');

$chart = new rgraph_chart("cvs", $data, "Pie");
$options = new rgraph_options("pie_3d.ini");

$options->set_option("title", "3d Donut Chart");
$options->set_option("labels", $labels);
$options->set_option("radius", 90);
$options->set_option("variant", "donut3d");
// tooltips
$options->set_tooltip($data, "#val#€ <br />(#percent#% of #total#€)");
$options->set_option("tooltipsEvent","onmousemove");
$options->set_option("tooltipsCssClass", "chart_tooltips_css");

$chart->set_options($options);
$rgraph_json = $chart->toString();


$event_script = "";

include_once ($templates . $template);
?>



