<?php
/**
 * @filesource: fuel.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "default.php";
$width = "400";
$height = "400";
$draw_option = "draw();";

$chart = new rgraph_chart("cvs", null, "Fuel");
$chart->set_min(0);
$chart->set_max(100);
$chart->set_value(90);
$options = new rgraph_options();
$options->set_option("title", "A clickable interactive Fuel chart");
$options->set_option("scaleVisible", true);
$options->set_option("colors", array( "Gradient(white:blue)" ));
$options->set_option("needleColor", "blue");
$options->set_option("scaleUnitsPost", 'l');
$options->set_option("textAccessible", false);

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "chart.canvas.onclick = function (e)
{
    var obj   = e.target.__object__;
    var value = obj.getValue(e);
    obj.value = value;
    obj.grow();
}";
$event_script = "";

include_once ($templates . $template);
?>



