<?php
/**
 * @filesource: sheets.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

// rgraph chart
$template = "default.php";
// rgraph chart
$id = "cvs";
$draw_option = "draw();";
$width = "700";
$height = "400";

$chart = new rgraph_chart("cvs", null, "Bar");

$key = "1ncvARBgXaDjzuca9i7Jyep6JTv9kms-bbIzyAxbaT0E";
$sheets_data = $chart->getsheetsData($key, 12, true);

$data = array($sheets_data['Fred'],$sheets_data['Lucy'],
        $sheets_data['Lilly']);

$chart->set_data($data);
$chart->rearrangeData();

$options = new rgraph_options("bar_3d.ini");
$options->set_option("title", "Data from Google Sheets");

$options->set_option("xaxisLabels", $sheets_data[0]);
$options->set_option("colorsSequential", false);
$options->set_option("grouping", "stacked");
$options->set_option("key", array("Fred","Lucy","Lilly"));
$options->set_option("keyPositionX",300);
$options->set_option("keyPositionY", 40);
$options->set_option("tooltipsPositionStatic", false);
$options->set_tooltip($chart->get_data(), "#key#: #val# <br>Total #label#: #total#");

$chart->set_options($options);
$rgraph_json = $chart->toString();

$canvas_class = 'class=flipInY';
$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



